Bug 145314 - Bizarre cut/paste behaviour
Bizarre cut/paste behaviour
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 07:27 EST by David Woodhouse
Modified: 2008-05-14 08:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 08:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 391730 None None None Never

  None (edit)
Description David Woodhouse 2005-01-17 07:27:37 EST
Evolution often gets itself into a state where it will paste the wrong
thing when the middle mouse button is pressed. When it's broken, a
middle-click in a composer window will paste something which was
previously deleted from that composer window (usually by selecting it
and then just pressing backspace, iirc). Even re-selecting fresh text
elsewhere (in either Evolution or other X clients), and pressing the
middle button again, doesn't paste the correct thing.
Comment 1 Phil Schaffner 2005-02-23 14:37:04 EST
Have seen this behavior also.  Copying/pasting with Ctr-C/Ctrl-V, or
explicitly selecting the item in KDE Klipper, sometimes provide
work-arounds.
Comment 2 David Woodhouse 2005-03-02 11:48:50 EST
It gets better. Sometimes when I paste into 2.0.4-1 it just dies, instead.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1209231680 (LWP 15805)]
0x032abd5f in html_get_glyphs_non_tab () from /usr/lib/libgtkhtml-3.1.so.11
((gdb) bt
#0  0x032abd5f in html_get_glyphs_non_tab () from /usr/lib/libgtkhtml-3.1.so.11
#1  0x032ac414 in html_get_glyphs_non_tab () from /usr/lib/libgtkhtml-3.1.so.11
#2  0x0329385d in html_object_draw () from /usr/lib/libgtkhtml-3.1.so.11
#3  0x0326001f in html_clue_remove () from /usr/lib/libgtkhtml-3.1.so.11
#4  0x032651e7 in html_clueflow_get_default_font_style ()
   from /usr/lib/libgtkhtml-3.1.so.11
#5  0x0329385d in html_object_draw () from /usr/lib/libgtkhtml-3.1.so.11
#6  0x0326001f in html_clue_remove () from /usr/lib/libgtkhtml-3.1.so.11
#7  0x03267aea in html_clueh_new () from /usr/lib/libgtkhtml-3.1.so.11
#8  0x0329385d in html_object_draw () from /usr/lib/libgtkhtml-3.1.so.11
#9  0x0328187f in html_engine_intersection ()
   from /usr/lib/libgtkhtml-3.1.so.11
#10 0x03288104 in html_engine_expose () from /usr/lib/libgtkhtml-3.1.so.11
#11 0x03251aba in gtk_html_get_editable () from /usr/lib/libgtkhtml-3.1.so.11
#12 0x01034757 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x00a396b2 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#14 0x00a39347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#15 0x00a4f646 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#16 0x00a50913 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#17 0x00a50f5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#18 0x01128545 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#19 0x01033031 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x00d3178f in gdk_window_clear_area_e () from /usr/lib/libgdk-x11-2.0.so.0
#21 0x00d31828 in gdk_window_process_all_updates ()
   from /usr/lib/libgdk-x11-2.0.so.0
#22 0x00d318a7 in gdk_window_process_all_updates ()
   from /usr/lib/libgdk-x11-2.0.so.0
#23 0x009bcb5a in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#24 0x009b97bb in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#25 0x009bb242 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#26 0x009bb4ef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#27 0x03523dd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#28 0x08063af9 in main (argc=0, argv=0xbfe2f554) at main.c:585

gdb) t a a bt

Thread 9 (Thread -1308783696 (LWP 15830)):
#0  0x005107a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00772b46 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00605c78 in e_msgport_wait (mp=0x9221ee0) at e-msgport.c:511
#3  0x00606333 in thread_dispatch (din=0x9221e88) at e-msgport.c:874
#4  0x007703ae in start_thread () from /lib/tls/libpthread.so.0
#5  0x0147cb6e in clone () from /lib/tls/libc.so.6

Thread 8 (Thread -1298293840 (LWP 15829)):
#0  0x005107a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00772b46 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00605c78 in e_msgport_wait (mp=0x921d590) at e-msgport.c:511
#3  0x00606333 in thread_dispatch (din=0x921d538) at e-msgport.c:874
#4  0x007703ae in start_thread () from /lib/tls/libpthread.so.0
#5  0x0147cb6e in clone () from /lib/tls/libc.so.6

Thread 7 (Thread -1267426384 (LWP 15823)):
#0  0x005107a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01472f74 in poll () from /lib/tls/libc.so.6
#2  0x009bb1d3 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#3  0x009bb4ef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x004d9bff in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#5  0x00a101a4 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0xb4749458 in ?? ()
#7  0x009d38d2 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
Previous frame inner to this frame (corrupt stack?)
#0  0x032abd5f in html_get_glyphs_non_tab () from /usr/lib/libgtkhtml-3.1.so.11
(gdb) 
Comment 3 David Woodhouse 2006-05-08 07:35:14 EDT
I haven't seen the SEGV recently but the broken cut'n'paste behaviour persists
in FC5. I have a composer window on my screen at the moment... I select some
text which I want to copy with in the mail, middle click where I want it... and
get nothing inserted. Middle-clicking in a gnome-terminal also gives me nothing.

It seems to be the 'select' side which is broken in Evolution.
Comment 4 Thomas Antony 2006-06-16 02:28:04 EDT
I have the same strange behaviour since FC4.
Comment 5 Phil Schaffner 2006-06-19 19:07:17 EDT
Have seen both the bizarre cut/paste behavior and crashes of evolution when
pasting with evolution-2.0.4-7 rebuild from Fedora SRPMS on EL4.
Comment 6 Matthew Barnes 2007-01-01 21:39:00 EST
Couldn't find any upstream bug reports that sound similar, so I'm forwarding
this to a new upstream report where I'll continue to track the problem.  Please
refer to [1] for further updates.

I've seen neither the reported cut-and-paste behavior nor crash-on-paste myself,
but it sounds like this bug has been around for a long time.  Does anyone have a
reliable reproducer for this behavior?  Is it still present in Fedora Core 6?

(Please post follow up comments upstream.)

[1] http://bugzilla.gnome.org/show_bug.cgi?id=391730
Comment 7 David Woodhouse 2007-01-02 06:15:01 EST
I haven't seen the crash-on-paste for a long time, but the cut-and-paste
behaviour is still around in FC6. I never quite worked out how to reproduce it
reliably.
Comment 8 David Woodhouse 2007-07-11 04:12:30 EDT
There is no activity on this bug upstream. Reopening here. If upstream doesn't
actively maintain the product, we need to do it ourselves rather than just
pretending the problems don't exist.
Comment 9 Matthew Barnes 2007-09-17 22:52:36 EDT
Removing F8Blocker
Comment 10 Milan Crha 2008-02-11 12:32:44 EST
This will be probably fixed in rawhide, see upstream bug [1]. Can you check
there, with 2.21.91, please? Thanks in advance.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=258374
Comment 11 Matěj Cepl 2008-03-13 12:51:12 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 12 David Woodhouse 2008-03-13 17:14:09 EDT
Have recently upgraded to rawhide on one machine; will do the laptop when I get
home and will report success/failure. Thanks.
Comment 13 Bug Zapper 2008-05-14 07:56:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 David Woodhouse 2008-05-14 08:02:37 EDT
This was always intermittent, so it was hard to say "yes, it's fixed". 
But I haven't seen this for some time now, so I think it probably is OK now.

Note You need to log in before you can comment on or make changes to this bug.